Copyright: Cal32 Copyright DameWare Development 1995-1996
Citation: DameWare Development 1995-1996


 Cal32 Help Index

Properties	Methods	Events

Cal32 Custom Control

Description:

DameWare Cal32 ActiveX/OCX is a calendar custom control for use with Visual Basic, Visual C++, web pages or any environment that can host the ActiveX controls.  It incorporates many customizable properties (3D, colors, fonts, tool tips, context menu, etc.) and has a date range between January 1, 100 through December 31, 9999.  Easy to use with configurable date format, event notification and many method to get the return date as desired.

Registration:

How to order

Order Form

What do I get when I register

License

Installation

Copyright

Versions


No Help Available

No help is available for this area of the window.


Help HICD_DATE_FORMAT

No help is available for this area of the window.


No Help Available

No help is available for this message box.

<< If you wish to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .HPJ file, and author a topic for each AFX_HIDP_xxx value.  For example, AFX_HIDP_INVALID_FILENAME is the help topic for the Invalid Filename message box. >>


Displays version of Cal32.OCX, Cal32 help
Version

Cal32 Version 1.2 - Cal32.OCX

Cal32 Help Version 1.2 - Cal32.HLP


Displays appropriate Copyright notices
Copyright

Copyright© 1996 DameWare Development

Portions of this product are Copyrighted (c) 1991-1996 by Microsoft Corporation.

All rights are reserved. All  Microsoft Corporation disclaimers apply.

Cal32 is a trademark of DameWare Development.

Microsoft Windows is a registered trademark of Microsoft Corporation.


Displays Properties
Properties

All the properties are listed below. Properties that apply only to

Cal32, or require special consideration when used with it,

are underlined. They are documented in this help file. See the

Visual Basic Language Reference or online Help for

documentation of the remaining properties.

(About)
BackColor	BorderStyle
Caption	ContextMenu
DateCaption	DateCaptionColor
DateCaptionFont	DateCaptionFormat
DateStringFormat	DayTextColor
DayFont	DaysOfWeekFont
DaysOfWeekText	DaysOfWeekTextColor
Draw3D	DragIcon
DragMode	Enabled
FocusIndicator	Font
GridStyle	Height
HelpContextId	Hwnd
Index	Left
MouseIcon	MousePointer
MonthYearButtons	OffsetTextCaption
OffsetTextColor	OffsetTextDays
OffsetTextWeekdays	Parent
SelectedDayTextColor	SingleCharacterDayCaption
StringDate	TabIndex
TabStop	Tag
Top	ToolTips
Visible	Width


Change the back color.
BackColor Property

Properties	Methods	Events

Description

BackColor returns or sets the background color of the control.

Syntax

Cal321.BackColor [= color]

Data Type

Long

See Also


Enable or disable the context menu.
ContextMenu Property

Properties	Methods	Events

Description

ContextMenu enables or disables the context menu.

The ContextMenu enables the options to the functions

“Goto to Year” and “Goto Today”.

Syntax

Cal321.ContextMenu [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Enable or disable the date caption.
DateCaption Property

Properties	Methods	Events

Description

DateCaption Enables or disables the date caption.

Syntax

Cal321. DateCaption [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Change the caption color.
DateCaptionColor Property

Properties	Methods	Events

Description

BackColor Returns or sets the text color of the date caption.

Syntax

Cal321. DateCaption  [= color]

Data Type

Long

See Also


Change the caption font.
DateCaptionFont Property

Properties	Methods	Events

Description

DateCaptionFont Returns or sets the font of the date caption.

Syntax

Cal321.DateCaptionFont.SelFontName [= string]

Cal321.DateCaptionFont.SelColor [= color]

Cal321.DateCaptionFont.SelFontSize [= points]

Data Type

Font

See Also

See the Visual Basic Language Reference or online Help for documentation of the remaining

font properties.


Change the caption date format.
DateCaptionFormat Property

Properties	Methods	Events

Description

DateCaptionFormat Returns or sets the date format of the date caption.

Syntax

Cal321.DateCaptionFormat [= string]

Data Type

String

See Also

The format argument consists of one or more codes; the formatting codes are preceded by a percent sign (%). Characters that do not begin with % are copied unchanged to string. The current locale affects the output. The formatting codes are listed below:

%a   Abbreviated weekday name

%A   Full weekday name

%b   Abbreviated month name

%B   Full month name

%c   Date and time representation appropriate for locale

%d   Day of month as decimal number (01 – 31)

%H   Hour in 24-hour format (00 – 23)

%I   Hour in 12-hour format (01 – 12)

%j   Day of year as decimal number (001 – 366)

%m   Month as decimal number (01 – 12)

%M   Minute as decimal number (00 – 59)

%p   Current locale’s A.M./P.M. indicator for 12-hour clock

%S   Second as decimal number (00 – 59)

%U   Week of year as decimal number, with Sunday as first day of week (00 – 51)

%w   Weekday as decimal number (0 – 6; Sunday is 0)

%W   Week of year as decimal number, with Monday as first day of week (00 – 51)

%x   Date representation for current locale

%X   Time representation for current locale

%y   Year without century, as decimal number (00 – 99)

%Y   Year with century, as decimal number

%z, %Z   Time-zone name or abbreviation; no characters if time zone is unknown

%%   Percent sign


Change the return date format.
DateStringFormat Property

Properties	Methods	Events

Description

DateStringFormat Returns or sets the date format of the date caption.

Syntax

Cal321.DateStringFormat [= string]

Data Type

String

See Also

The format argument consists of one or more codes; the formatting codes are preceded by a percent sign (%). Characters that do not begin with % are copied unchanged to string. The current locale affects the output. The formatting codes are listed below:

%a   Abbreviated weekday name

%A   Full weekday name

%b   Abbreviated month name

%B   Full month name

%c   Date and time representation appropriate for locale

%d   Day of month as decimal number (01 – 31)

%H   Hour in 24-hour format (00 – 23)

%I   Hour in 12-hour format (01 – 12)

%j   Day of year as decimal number (001 – 366)

%m   Month as decimal number (01 – 12)

%M   Minute as decimal number (00 – 59)

%p   Current locale’s A.M./P.M. indicator for 12-hour clock

%S   Second as decimal number (00 – 59)

%U   Week of year as decimal number, with Sunday as first day of week (00 – 51)

%w   Weekday as decimal number (0 – 6; Sunday is 0)

%W   Week of year as decimal number, with Monday as first day of week (00 – 51)

%x   Date representation for current locale

%X   Time representation for current locale

%y   Year without century, as decimal number (00 – 99)

%Y   Year with century, as decimal number

%z, %Z   Time-zone name or abbreviation; no characters if time zone is unknown

%%   Percent sign


Change the day text color.
DayTextColor Property

Properties	Methods	Events

Description

DayTextColor Returns or sets the text color of the day text.

Syntax

Cal321.DayTextColor [= color]

Data Type

Long

See Also


Change the day text font.
DayTextFont Property

Properties	Methods	Events

Description

DayTextFont Returns or sets the font of the day text.

Syntax

Cal321.DayTextFont.SelFontName [= string]

Cal321.DayTextFont.SelColor [= color]

Cal321.DayTextFont.SelFontSize [= points]

Data Type

Font

See Also

See the Visual Basic Language Reference or online Help for documentation of the remaining

font properties.


Change the days of week font.
DaysOfWeekFont Property

Properties	Methods	Events

Description

DaysOfWeekFont Returns or sets the font of the day text.

Syntax

Cal321.DaysOfWeekFont.SelFontName [= string]

Cal321.DaysOfWeekFont.SelColor [= color]

Cal321.DaysOfWeekFont.SelFontSize [= points]

Data Type

Font

See Also

See the Visual Basic Language Reference or online Help for documentation of the remaining

font properties.


Enable or disable the days of week text.
DaysOfWeekText Property

Properties	Methods	Events

Description

DaysOfWeekText Enables or disables the Days Of Week Display.

Syntax

Cal321.DaysOfWeekText [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Change the days of week text color.
DaysOfWeekTextColor Property

Properties	Methods	Events

Description

DaysOfWeekTextColor Returns or sets the text color of the week days text.

Syntax

Cal321.DaysOfWeekTextColor [= color]

Data Type

Long

See Also


Enables or disables the drawing of 3D.
Draw3D Property

Properties	Methods	Events

Description

Draw3D Enables or disables drawing 3D.

Syntax

Cal321.Draw3D [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Enables or disables the focus indicator.
FocusIndicator Property

Properties	Methods	Events

Description

FocusIndicator Enables or disables the showing of the focus indicator.

Syntax

Cal321.FocusIndicator [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Enables or disables the drawing of grid.
GridStyle Property

Properties	Methods	Events

Description

GridStyle Enables or disables the drawing of grid.

Note:

Has no effect when Draw3D is enabled.

Syntax

Cal321.GridStyle [ =  {True | False}]

Data Type

Integer (Boolean)

See Also

Draw3D


Enables or disables the year and month buttons.
YearMonthButtons Property

Properties	Methods	Events

Description

YearMonthButtons Enables or disables the display of the year and month buttons.

Syntax

Cal321.YearMonthButtons [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Enables or disables the offset caption text.
OffsetTextCaption Property

Properties	Methods	Events

Description

OffsetTextCaption Enables or disables the display of Offset Caption Text.

Syntax

Cal321.OffsetTextCaption [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Change the offset text back color.
OffsetTextColor Property

Properties	Methods	Events

Description

OffsetTextColor Returns or sets the text back offset color when offset text is selected.

Syntax

Cal321.OffsetTextColor [= color]

Data Type

Long

See Also


Enables or disables the offset day text.
OffsetTextDays Property

Properties	Methods	Events

Description

OffsetTextDays Enables or disables the display of Offset Days Text.

Syntax

Cal321.OffsetTextDays [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Enables or disables the offset week text.
OffsetTextWeekdays Property

Properties	Methods	Events

Description

OffsetTextWeekdays Enables or disables the display of Offset Days Text.

Syntax

Cal321.OffsetTextWeekdays [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Returns or sets the selected day text color.
SelectedDayTextColor Property

Properties	Methods	Events

Description

SelectedDayTextColor Returns or sets the text color of the selected day.

Syntax

Cal321.SelectedDayTextColor [= color]

Data Type

Long

See Also


Enables or disables the single character week day text.
SingleCharacterDayCaption Property

Properties	Methods	Events

Description

OffsetTextWeekdays Enables or disables the display of Single Character Week Day Caption

or abbreviated Week Day Caption.

Syntax

Cal321.SingleCharacterDayCaption [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Initialized to the system date when loading.
StringDate and Date Property

Properties	Methods	Events

Description

StringDate and Date are initialized to the system date when loading.

To change at run time see methods.

Syntax

Data Type

See Also

GetDateString

GetDateAsFormat

GetDateAsDate

SetCaptionDateFormat

SetDateAsDate

SetDateFormat

SetDateString


Enables or disables the tool tips.
ToolTips Property

Properties	Methods	Events

Description

ToolTips Enables or disables the display of Tool Tips for buttons and focus indicator.

Syntax

Cal321.ToolTips [ =  {True | False}]

Data Type

Integer (Boolean)

See Also


Displays methods.
Methods

All of the methods for this control are listed in the following table.

About

GetDateString

GetDateAsFormat

GetDateAsDate

SetCaptionDateFormat

SetDateAsDate

SetDateFormat

SetDateString

Move

SetFocus

Refresh


Retrieves the current date.
GetDateString Method

Properties	Methods	Events

Description

GetDateString Retrieves the current date in string format.

Syntax

Cal321.GetDateString

Data Type

String

Example

Private Sub Command1_Click()

Text1.Text = Cal321.GetDateString

End Sub

See Also

SetDateFormat


Retrieves the current date in specified format.
GetDateAsFormat Method

Properties	Methods	Events

Description

GetDateAsFormat Retrieves the current date in the format desired.

Syntax

Cal321.GetDateAsFormat [ =  Format String]

Data Type

String

Example

Private Sub Command1_Click()

Text1.Text = Cal321.GetDateAsFormat("%a %m")

End Sub

See Also

The format argument consists of one or more codes; the formatting codes are preceded by a percent sign (%). Characters that do not begin with % are copied unchanged to string. The current locale affects the output. The formatting codes are listed below:

%a   Abbreviated weekday name

%A   Full weekday name

%b   Abbreviated month name

%B   Full month name

%c   Date and time representation appropriate for locale

%d   Day of month as decimal number (01 – 31)

%H   Hour in 24-hour format (00 – 23)

%I   Hour in 12-hour format (01 – 12)

%j   Day of year as decimal number (001 – 366)

%m   Month as decimal number (01 – 12)

%M   Minute as decimal number (00 – 59)

%p   Current locale’s A.M./P.M. indicator for 12-hour clock

%S   Second as decimal number (00 – 59)

%U   Week of year as decimal number, with Sunday as first day of week (00 – 51)

%w   Weekday as decimal number (0 – 6; Sunday is 0)

%W   Week of year as decimal number, with Monday as first day of week (00 – 51)

%x   Date representation for current locale

%X   Time representation for current locale

%y   Year without century, as decimal number (00 – 99)

%Y   Year with century, as decimal number

%z, %Z   Time-zone name or abbreviation; no characters if time zone is unknown

%%   Percent sign


Retrieves the current date in date format.
GetDateAsDate Method

Properties	Methods	Events

Description

GetDateAsDate Retrieves the current date in DATE format.

Syntax

Cal321.GetDateAsDate

Data Type

DATE

Example

Private Sub Command1_Click()

Text1.Text = Cal321.GetDateAsDate

End Sub

See Also


Sets caption date format.
SetCaptionDateFormat Method

Properties	Methods	Events

Description

SetCaptionDateFormat Sets the caption date format.

Syntax

Cal321.SetCaptionDateFormat [ = Format String]

Data Type

Integer (Boolean)

Example

Private Sub Command1_Click()

Cal321.GetDateAsFormat("%a %m")

End Sub

See Also

The format argument consists of one or more codes; the formatting codes are preceded by a percent sign (%). Characters that do not begin with % are copied unchanged to string. The current locale affects the output. The formatting codes are listed below:

%a   Abbreviated weekday name

%A   Full weekday name

%b   Abbreviated month name

%B   Full month name

%c   Date and time representation appropriate for locale

%d   Day of month as decimal number (01 – 31)

%H   Hour in 24-hour format (00 – 23)

%I   Hour in 12-hour format (01 – 12)

%j   Day of year as decimal number (001 – 366)

%m   Month as decimal number (01 – 12)

%M   Minute as decimal number (00 – 59)

%p   Current locale’s A.M./P.M. indicator for 12-hour clock

%S   Second as decimal number (00 – 59)

%U   Week of year as decimal number, with Sunday as first day of week (00 – 51)

%w   Weekday as decimal number (0 – 6; Sunday is 0)

%W   Week of year as decimal number, with Monday as first day of week (00 – 51)

%x   Date representation for current locale

%X   Time representation for current locale

%y   Year without century, as decimal number (00 – 99)

%Y   Year with century, as decimal number

%z, %Z   Time-zone name or abbreviation; no characters if time zone is unknown

%%   Percent sign


Sets the current date using date type.
SetDateAsDate Method

Properties	Methods	Events

Description

SetDateAsDate Sets the current date using DATE type.

Syntax

Cal321.SetDateAsDate [ =  DATE]

Data Type

Integer (Boolean)

See Also


Sets the date retrieval format.
SetDateFormat Method

Properties	Methods	Events

Description

SetDateFormat Sets the date retrieval format for StringDate and GetDateString.

Syntax

Cal321.SetDateFormat [ =  String Format]

Data Type

Integer (Boolean)

Example

Cal321.SetDateFormat("%a %m %Y" )

See Also

GetDateString

GetDateAsFormat

GetDateAsDate

The format argument consists of one or more codes; the formatting codes are preceded by a percent sign (%). Characters that do not begin with % are copied unchanged to string. The current locale affects the output. The formatting codes are listed below:

%a   Abbreviated weekday name

%A   Full weekday name

%b   Abbreviated month name

%B   Full month name

%c   Date and time representation appropriate for locale

%d   Day of month as decimal number (01 – 31)

%H   Hour in 24-hour format (00 – 23)

%I   Hour in 12-hour format (01 – 12)

%j   Day of year as decimal number (001 – 366)

%m   Month as decimal number (01 – 12)

%M   Minute as decimal number (00 – 59)

%p   Current locale’s A.M./P.M. indicator for 12-hour clock

%S   Second as decimal number (00 – 59)

%U   Week of year as decimal number, with Sunday as first day of week (00 – 51)

%w   Weekday as decimal number (0 – 6; Sunday is 0)

%W   Week of year as decimal number, with Monday as first day of week (00 – 51)

%x   Date representation for current locale

%X   Time representation for current locale

%y   Year without century, as decimal number (00 – 99)

%Y   Year with century, as decimal number

%z, %Z   Time-zone name or abbreviation; no characters if time zone is unknown

%%   Percent sign


Sets the date using a date string.
SetDateString Method

Properties	Methods	Events

Description

SetDateString Sets the date with a date string.

Syntax

Cal321.SetDateString [ = Date String]

Data Type

Integer (Boolean)

Example

Cal321.SetDateString("2/24/1998" )

See Also


Displays events.
Events

All the events are listed below. Events that apply only to

Cal32, or require special consideration when used

with it, are underlined. They are documented in this help file.

See the Visual Basic Language Reference or online Help for

documentation of the remaining events.

Click

DateChanged

DateStringChanged

DblClick

DragDrop

DragOver

GotFocus

KeyDown

KeyPress

KeyUp

LostFocus

MouseDown

MouseMove

MouseUp


Notifies of date selection change.
DateChanged Event

Properties	Methods	Events

Description

DateChanged Notifies that the user changed the date.

Syntax

Private Sub Cal321_DateChanged(ByVal NewDate As Date)

Data Type

DATE

Example

Cal321_DateChanged(ByVal NewDate As Date)

Text1.Text  = NewDate

End Sub

See Also

DateStringChanged


Notifies of date selection change.
DateStringChanged Event

Properties	Methods	Events

Description

DateStringChanged Notifies that the user changed the date.

Syntax

Private Sub Cal321_DateStringChanged(ByVal NewStringDate As String)

Data Type

String

Example

Private Sub Cal321_DateStringChanged(ByVal NewStringDate As String)

Text1.Text = NewStringDate

End Sub

See Also

DateChanged


Registration Form
Order Form

Cal32 Order Form  RKHCAL32

___________________________________________________

To place your order, fax us at (504) 626-1189 or send this form to:

DAMEWARE DEVELOPMENT

1024 Live Oak Loop

Mandeville, La.  70448

Name:	________________________________________________________
Company Name:	________________________________________________________
Address:	________________________________________________________
	________________________________________________________
	________________________________________________________
	________________________________________________________
Phone:	Day time:_______________________Eve:______________________
Electronic Mail:	_________________________
Cal32	_____@ $19.95 ea	$________________________
Shipping and Handling	$ 3.00	$________________________
Total		$________________________
For credit card orders, please
indicate card, number and	_________________	__________________________
expiration date.		Exp. Date  ______
PLEASE NOTE:  We accept cash, checks, money orders and Mastercard, Visa, American Express and Discover.  We do not accept unsolicited POs or overseas checks not drawn on American banks.  Overseas orders please include an additional $5.00 USD for S & H

.


How to register.
How To Order

For added convenience, you may order Cal32 in any of the following ways:

♦	You may fax the form with your credit card information to us at (504) 626-1189 or you may contact us at 504-626-7545.  (For quantity pricing, please contact DameWare Development.)  Or you may complete the order form and send it with a check or money order to:

♦	DAMEWARE DEVELOPMENT

Live Oak Loop

Mandeville, LA.  70448

♦	For online ordering, please contact AtOnce WebTools Store at http://www.webtools.atoncesoftware.com/vendors/dameware/pages/dameware.htm

♦	Internet	http://www.webtools.atoncesoftware.com

♦	America Online	keyword: atOnce

♦	The Microsoft Network	go word: atOnce

♦	CompuServe	go: atOnce

♦	Software Spectrum

Software Spectrum

Merritt Drive

Garland, Texas  75041

Fax 214-864-7878  Phone 214-864-7887


What do I get when I register?
What do I get when I order

There are no limitations in this shareware release, but you may encounter a "nag" screen from time to time.  Upon receipt of your order you will receive a license file which will remove the "nag" screen. The product will be registered in your name and you will receive the latest version.  It's a small price to pay for your peace of mind. You may also wish to check on our Web Home Page for the latest version which you have rights to use as a registered user. Our Web Home Page address is:  http://www.ni-inc.com/~dameware.


Credit card orders
License Agreement

Cal32 is not public domain or free software.

Cal32 is copyrighted, and all rights are reserved by its author, Ken Hatcher.

Licensing:

1. Shareware version

You may use the shareware version of Cal32 for up to 30 days in your design environment for evaluation purposes only. You may copy and distribute it freely as long as all the files in the package, including the demo programs are distributed with it and no changes or additions of any kind are made to the original package.

2. Registered version

As a registered user, you can use Cal32 in your design environment and you have a royalty-free right to distribute executables that use Cal32 as a runtime component. Only registered users can distribute executables using Cal32.

You may copy the software to facilitate your use of it on as many computers as there are licensed users specified in the license file. Making copies for any other purpose violates international copyright laws. In particular, you are prohibited from distributing a registered version of Cal32, except as a runtime component of one of your applications.

The license file allows you to compile your applications with Cal32. You are not allowed to distribute the license file Cal32.LIC with any application that you distribute.

Disclaimer of Warranty:

THIS SOFTWARE AND THE ACCOMPANYING FILES ARE SOLD "AS IS"  WITHOUT WARRANTY OF ANY KIND EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Good data processing procedure dictates that any program be thoroughly tested with non-critical data before relying on it.

The user must assume the entire risk of using the program.

Your use of this product indicates that you have read and agreed to these terms.


Credit card orders
Installation

To install Cal32 on your system, follow these steps, copy the following files into the WINDOWS\SYSTEM directory:

Cal32.OCX	32-bit OLE Control

Cal32.HLP	On-line documentation

Cal32.CNT	Context file for On-line documentation

Cal32.LIC	License file (if you have a registered version)

Distribution Note

When you create and distribute applications that use the Cal32, you should install the appropriate file in the customer's Microsoft Windows \SYSTEM subdirectory.  The Setup Wizard included with Visual Basic provides tools to help you write setup programs that install your applications correctly.

Note: You are not allowed to distribute the license file Cal32.LIC with any application that you distribute.


Problems using the control
Problems

Problems loading and using this OCX:

The most common problems using OCXs built with Microsoft’s Visual C++ 4.0 or greater are  incorrect versions of some of the VB4 runtime libs. PSS ( Microsoft Premier Support Service) has confirmed this to be a problem.  This only affects controls linked with the newer version of these libraries.

The libraries in question are listed in the VB4 SWDEPEND.INI:

MFC40.DLL 	version 4.0.5277

OLEPRO32.DLL	version 4.0.5277

MSVCRT40.DLL	version 4.00.5277

The libraries shipped with Visual Basic 4.0 are dated 8/95. At this time, the known good libraries are dated 9/95 and 2/96.

These libraries can be obtained many ways such as on the VB conference on CompuServe or on our homepage: http://www.ni-inc.com/ ~dameware.


WEB Page design
Using in WEB Page

Cal32 ActiveX control can easily be used in a Web Page.  The following is a simple example.  You may also wish to visit sites such as AtOnce WebTools Store (http://www.webtools.atoncesoftware.com) or Microsoft at (http://www.microsoft.com/workshop) or DameWare Development’s home page at (http://www.ni-inc/~dameware).

<HTML>

<HEAD>

<TITLE>DameWare Development Cal32 ActiveX Control</TITLE>

<OBJECT CLASSID="clsid:5220cb21-c88d-11cf-b347-00aa00a28331"

>

<PARAM NAME="LPKPath" VALUE="dameware.lpk">

<EMBED SRC="dameware.lpk">

</OBJECT>

</HEAD>

<P ALIGN="CENTER">

<OBJECT

ID=Cal32

TYPE="application/x-oleobject"

CLASSID="CLSID:891C9A24-4070-11CF-8E46-00AA006DB209"

CODEBASE="http://ni-inc.com/~dameware/bin/Cal32.ocx#Version=1,2,0,1"

width=200

height=180

>

<PARAM NAME="Draw3D" value=0>

</OBJECT>

<P ALIGN="LEFT">

Selected Date

<INPUT TYPE=TEXT VALUE="" NAME="StringDate">

<BR>

<BR>

<INPUT TYPE=BUTTON VALUE="Properties" NAME="BtnProperties">

<INPUT TYPE=BUTTON VALUE="GetDate" NAME="BtnGetDate">

Try right mouse button?

<SCRIPT LANGUAGE="VBSCRIPT">

Sub Cal32_DateStringChanged(ByVal NewStringDate)

StringDate.Value = NewStringDate

End Sub

Sub BtnGetDate_OnClick

StringDate.Value = Cal32.GetDateString()

alert StringDate.Value

End Sub

Sub BtnProperties_OnClick

Cal32.DisplayProperties()

End Sub

</SCRIPT>

</BODY>

</HTML>